Skip to content

Get Balance Statement

Request

Retrieve a statement for the specified balance account.

The response format depends on the URL path:

  • statement.json - JSON format
  • statement.csv - CSV format
  • statement.pdf - PDF format (includes Wise branding)
  • statement.xlsx - Excel format
  • statement.xml - CAMT.053 XML format
  • statement.mt940 - MT940 format
  • statement.qif - QIF format

The period between intervalStart and intervalEnd cannot exceed 469 days (around 1 year 3 months).

SCA protected endpoint

This endpoint is SCA protected. SCA requirements apply to profiles registered outside of the following regions: US, AU, NZ, SG, CA, MY.

This additional authentication is only required once every 90 days.

Note that viewing the statement on the website or in the mobile app also requires SCA.

Review the Strong Customer Authentication guide for more details.

Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

The profile ID.

Example:12345
balanceIdinteger, (int64)required

The balance ID to get the statement for.

Example:64
Query
currencystringrequired

Currency of the balance statement requested (ISO 4217 Alphabetic Code).

Example:currency=EUR
intervalStartstring, (date-time)required

Statement start time in UTC.

Example:intervalStart=2025-03-01T00:00:00.000Z
intervalEndstring, (date-time)required

Statement end time in UTC.

Example:intervalEnd=2025-04-30T23:59:59.999Z
typestring

Statement type:

  • COMPACT - Single statement line per transaction
  • FLAT - Accounting statements where transaction fees are on a separate line
Enum:"COMPACT""FLAT"
Example:type=COMPACT
statementLocalestring

Language for the statement. Supports 2 character language codes.

Example:statementLocale=en
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/2026Q3/profiles/12345/balance-statements/64/statement.json?currency=EUR&intervalStart=2025-03-01T00%3A00%3A00.000Z&intervalEnd=2025-04-30T23%3A59%3A59.999Z&type=COMPACT&statementLocale=en' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK - Successfully retrieved balance statement.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
accountHolderobject

Account holder information.

issuerobject

Account issuer information.

bankDetailsobject or null

Local bank details for the account.

transactionsArray of objects

List of transactions in the statement period.

endOfStatementBalanceobject

Closing balance for the specified time period.

queryobject

Query parameters used for the request.

Response
{ "accountHolder": { "type": "PERSONAL", "address": { "addressFirstLine": "Veerenni 24", "city": "Tallinn", "postCode": "12112", "stateCode": "", "countryName": "Estonia" }, "firstName": "Oliver", "lastName": "Wilson" }, "issuer": { "name": "TransferWise Ltd.", "firstLine": "56 Shoreditch High Street", "city": "London", "postCode": "E1 6JJ", "stateCode": "", "country": "United Kingdom" }, "bankDetails": {}, "transactions": [ { "type": "DEBIT", "date": "2018-04-30T08:47:05.832Z", "amount": {}, "totalFees": {}, "details": {}, "exchangeDetails": {}, "runningBalance": {}, "referenceNumber": "CARD-249281" } ], "endOfStatementBalance": { "value": 9.94, "currency": "EUR" }, "query": { "intervalStart": "2018-03-01T00:00:00Z", "intervalEnd": "2018-04-30T23:59:59.999Z", "currency": "EUR", "accountId": 64 } }